#
#  makefile for Microsoft Visual C/C++ : nmake, GNU make
#

PLUGIN = null

CC = cl /c /O2
LD = link /subsystem:windows /dll /entry:dllentry@12 /def:$(PLUGIN).def

LIBS = user32.lib

$(PLUGIN).dll: $(PLUGIN).obj
	$(LD) $(PLUGIN).obj $(LIBS)
$(PLUGIN).obj: $(PLUGIN).c
	$(CC) $(PLUGIN).c
clean:
	del /f /q $(PLUGIN).obj $(PLUGIN).exp $(PLUGIN).lib
clean-all: clean
	del /f /q $(PLUGIN).dll

.PHONY: clean clean-all
